/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.extension.internal;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import org.eclipse.ui.forms.widgets.FormToolkit;

import com.ibm.team.ui.editor.ITeamFormConfiguration;
import com.ibm.team.ui.editor.ITeamFormData;
import com.ibm.team.ui.editor.ITeamFormLayout;
import com.ibm.team.ui.editor.TeamFormLayouts;
import com.ibm.team.ui.editor.TeamFormPart;

import com.ibm.team.workitem.common.model.IWorkItemHandle;
import com.ibm.team.workitem.ide.ui.internal.editor.AbstractWorkItemEditorInput;
import com.ibm.team.workitem.ide.ui.internal.editor.Util;

public class ExampleTeamFormPart extends TeamFormPart {
	
	private Text fText;
	
	@Override
	public void createContent(ITeamFormLayout formLayout) {
		FormToolkit toolkit= getSite().getToolkit();
		Composite parent= formLayout.getContainer();
		
		Label label= toolkit.createLabel(parent, Messages.ExampleTeamFormPart_ITEM_ID_LABEL);
		formLayout.add(label, ITeamFormConfiguration.LABEL_GUIDE, ITeamFormData.LABEL);
		
		fText= createReadOnlyText(parent, toolkit, SWT.NONE);
		TeamFormLayouts.setLayoutData(label, ITeamFormData.SINGLE_LINE_TEXT);
		Util.addWidthHint(label);
		formLayout.add(fText, ITeamFormConfiguration.CONTENT_GUIDE);
	}
	
	private Text createReadOnlyText(Composite parent, FormToolkit toolkit, int style) {
		Text text= toolkit.createText(parent, "", style | SWT.READ_ONLY); //$NON-NLS-1$
		text.setBackground(toolkit.getColors().getBackground());
		return text;
	}

	public void setInput(Object input) {
		
		fText.setText(""); //$NON-NLS-1$
		
		if (input instanceof AbstractWorkItemEditorInput) {
			IWorkItemHandle handle= ((AbstractWorkItemEditorInput) input).getWorkItemHandle();
			if (handle != null)
				fText.setText(handle.getItemId().getUuidValue());
		}
	}
}
