/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.extension.internal;

import org.eclipse.core.runtime.Assert;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.resource.ImageDescriptor;

import org.eclipse.ui.plugin.AbstractUIPlugin;

import org.osgi.framework.BundleContext;

import com.ibm.team.foundation.common.util.FoundationLog;
import com.ibm.team.jface.JazzResources;


public class WorkItemExtensionUIPlugin extends AbstractUIPlugin {
	
	public final static String PLUGIN_ID= "com.ibm.team.workitem.extension"; //$NON-NLS-1$
	
	private static WorkItemExtensionUIPlugin fgPlugin;
	
	public WorkItemExtensionUIPlugin() {
		Assert.isTrue(fgPlugin == null);
		fgPlugin= this;
	}
	
	public static WorkItemExtensionUIPlugin getDefault() {
		return fgPlugin;
	}
	
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
		fgPlugin= null;
	}
	
	public void log(String message, Throwable exception) {
		log(new Status(IStatus.ERROR, PLUGIN_ID, IStatus.ERROR, message, exception));
	}
	
	public void log(IStatus status) {
		FoundationLog.log(status);
	}
	
	public static ImageDescriptor getImageDescriptor(String pathRelativeToPlugin) {
		ImageDescriptor id= imageDescriptorFromPlugin(PLUGIN_ID, pathRelativeToPlugin);
		JazzResources.registerPath(id, PLUGIN_ID, pathRelativeToPlugin);
		return id;
	}
}
