/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal;

import org.eclipse.jface.layout.GridDataFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Link;
import org.eclipse.ui.part.IPageSite;
import org.eclipse.ui.part.Page;

import com.ibm.team.repository.common.util.NLS;

import com.ibm.team.process.ide.ui.ConnectProjectAreasAction;

/**
 * @since 0.6
 */
public class SetupWorkItemViewPage extends Page {
	
	private Control fControl;
	private Link fConnectToProjectAreaLink;
	private ConnectProjectAreasAction fConnectToProjectAreaAction;

	@Override
	public void init(IPageSite pageSite) {
		super.init(pageSite);
		fConnectToProjectAreaAction= new ConnectProjectAreasAction();
	}

	@Override
	public void createControl(Composite parent) {
		Composite viewerArea= new Composite(parent, SWT.NONE);
		
		GridLayout layout= new GridLayout();
		layout.marginHeight= 5;
		layout.marginWidth= 5;
		
		viewerArea.setLayout(layout);
		viewerArea.setBackground(viewerArea.getDisplay().getSystemColor(SWT.COLOR_LIST_BACKGROUND));

		Label label= new Label(viewerArea, SWT.LEFT | SWT.TOP | SWT.WRAP);
		label.setText(Messages.SetupWorkItemViewPage_NOT_CONNECTED_TO_PROJECT_AREA);
		label.setBackground(viewerArea.getBackground());
		GridDataFactory.fillDefaults().grab(true, false).applyTo(label);
		
		fConnectToProjectAreaLink= new Link(viewerArea, SWT.NONE);
		fConnectToProjectAreaLink.setText(NLS.bind("<a>{0}</a>", Messages.SetupWorkItemViewPage_CONNECT_TO_PA)); //$NON-NLS-1$
		fConnectToProjectAreaLink.setBackground(viewerArea.getBackground());
		fConnectToProjectAreaLink.addSelectionListener(new SelectionAdapter() {
			@Override
			public void widgetSelected(SelectionEvent e) {
				fConnectToProjectAreaAction.run();
			}
		});
		GridDataFactory.fillDefaults().grab(true, false).applyTo(fConnectToProjectAreaLink);
		
		fControl= viewerArea;
	}

	@Override
	public Control getControl() {
		return fControl;
	}

	@Override
	public void setFocus() {
		fConnectToProjectAreaLink.setFocus();
	}
	
}
