/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.workitem.ide.ui.internal;

import java.util.ArrayList;
import java.util.List;

import com.ibm.team.ui.editor.TeamFormPart;

/**
 * Class for TeamFormParts with methods specific to Work Item Customization
 * @author ljhaywar
 *
 */
public abstract class WITeamFormPart extends TeamFormPart {

	/**
	 * Should be overridden by subclasses that have icons associated with them
	 * @param iconPath the path to the icon that is being checked
	 * @return A list of the ways in which the icon is used.  The list will be displayed to the user.
	 */
	public List<String> getIconUsage(String iconPath) {
		return new ArrayList<String>();
	}
}
