/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.eclipse.ui.progress.IProgressConstants;

public class WorkItemPerspectiveFactory implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
 		String editorArea = layout.getEditorArea();
		
		IFolderLayout folder= layout.createFolder("left", IPageLayout.LEFT, (float)0.30, editorArea); //$NON-NLS-1$
		folder.addView("com.ibm.team.process.rcp.ui.teamArtifactsNavigator"); //$NON-NLS-1$
		folder.addView("com.ibm.magnolia.TeamCentral"); //$NON-NLS-1$
		
		IFolderLayout outputfolder= layout.createFolder("bottom", IPageLayout.BOTTOM, (float)0.75, editorArea); //$NON-NLS-1$
		outputfolder.addView("com.ibm.magnolia.workItemExplorer"); //$NON-NLS-1$
		outputfolder.addView("com.ibm.team.workitem.rcp.ui.WorkItemTagView"); //$NON-NLS-1$
		outputfolder.addPlaceholder("com.ibm.team.collaboration.ui.internal.chatView"); //$NON-NLS-1$
		// outputfolder.addView("com.ibm.team.filesystem.ui.changes.views.WorkspaceChangesView"); // see #6469: Remove WorkspaceChangesView from WorkItemPerspectiveFactory
		outputfolder.addView(IPageLayout.ID_PROBLEM_VIEW);
		
		outputfolder.addPlaceholder("org.eclipse.ui.console.ConsoleView"); //$NON-NLS-1$
		outputfolder.addPlaceholder(IPageLayout.ID_BOOKMARKS);
		outputfolder.addPlaceholder(IProgressConstants.PROGRESS_VIEW_ID);
		
		// views - java
		layout.addShowViewShortcut("com.ibm.magnolia.TeamCentral"); //$NON-NLS-1$
		layout.addShowViewShortcut("com.ibm.team.process.rcp.ui.teamArtifactsNavigator"); //$NON-NLS-1$
		layout.addShowViewShortcut("com.ibm.magnolia.workItemExplorer"); //$NON-NLS-1$
		layout.addShowViewShortcut("com.ibm.team.workitem.rcp.ui.WorkItemTagView"); //$NON-NLS-1$
		layout.addShowViewShortcut("com.ibm.team.process.projectAreaExplorer"); //$NON-NLS-1$
		
		// views - standard workbench
		layout.addShowViewShortcut(IPageLayout.ID_OUTLINE);
		layout.addShowViewShortcut(IPageLayout.ID_PROBLEM_VIEW);
						
		// new actions
		//layout.addNewWizardShortcut("org.eclipse.ui.editors.wizards.UntitledTextFileWizard");//$NON-NLS-1$	}
	
		// perspectives
		layout.addPerspectiveShortcut("com.ibm.team.process.jazzAdminPerspective"); //$NON-NLS-1$
		layout.addPerspectiveShortcut("org.eclipse.jdt.ui.JavaPerspective"); //$NON-NLS-1$
		
		// add show-in actions
		layout.addShowInPart("com.ibm.magnolia.workItemExplorer"); //$NON-NLS-1$
		layout.addShowInPart("com.ibm.team.process.rcp.ui.teamArtifactsNavigator"); //$NON-NLS-1$
		
		// add resource navigation
	        layout.addActionSet(IPageLayout.ID_NAVIGATE_ACTION_SET);
	}
}
