/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.workitem.ide.ui.internal.actions;

import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.team.repository.client.ITeamRepository;
import com.ibm.team.repository.common.IContributor;
import com.ibm.team.workitem.client.WorkItemWorkingCopy;
import com.ibm.team.workitem.common.model.ISubscriptions;
import com.ibm.team.workitem.common.model.IWorkItem;

public class SubscribeToWorkItemAction extends AbstractSubscriptionWorkItemAction {

	protected IContributor fCurrentUser;

	@Override
	protected void editSubscriptionToRepo(ITeamRepository repo, WorkItemWorkingCopy[] workingCopies, IProgressMonitor monitor) {
		if (!repo.loggedIn())
			return;

		fCurrentUser= repo.loggedInContributor();
		super.editSubscriptionToRepo(repo, workingCopies, monitor);
	}

	@Override
	protected boolean editSubscriptionToWorkItem(IWorkItem item, ISubscriptions subscriptions) {
		if (fCurrentUser != null && !subscriptions.contains(fCurrentUser)) {
			subscriptions.add(fCurrentUser);
			return true;
		}
		return false;
	}
}