/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor;

/**
 * An interface for classes that need to have add, edit and remove events for
 * performing actions on some kind of item. For example adding a new custom
 * attribute, editing a custom attribute or deleting the custom attribute.
 * 
 * @author jsteele
 */
public interface AddEditRemoveUi 
{
	/**
	 * Method that is called when an add event is fired, this could be from a
	 * button menu or context menu.
	 */
	public void addEvent();
	
	
	/**
	 * Method that is called when an edit event is fired, this could be from a
	 * button menu or context menu.
	 */
	public void editEvent();
	
	
	/**
	 * Method that is called when a remove event is fired, this could be from a
	 * button menu or context menu.
	 */
	public void removeEvent();
}
