/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Image;

import org.eclipse.jface.resource.ResourceManager;
import org.eclipse.jface.viewers.IColorProvider;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.jface.viewers.LabelProviderChangedEvent;

import com.ibm.team.process.client.workingcopies.IProcessContainerWorkingCopy;

/**
 * @since 0.6
 */
public abstract class SimpleTableLabelProvider extends LabelProvider implements ITableLabelProvider, IColorProvider {
	
	protected Image getImage(final Object element, String iconPath) {
		return AspectEditorUtil.getImage(getProcessContainer(), iconPath, getResourceManager(), new Runnable() {
			public void run() {
				fireChanged(element);
			}
		});
	}
	
	protected abstract IProcessContainerWorkingCopy getProcessContainer();
	protected abstract ResourceManager getResourceManager();
	
	private void fireChanged(Object element) {
		fireLabelProviderChanged(new LabelProviderChangedEvent(this, element));
	}
	
	public Color getForeground(Object element) {
		return null;
	}
	
	public Color getBackground(Object element) {
		return null;
	}
}