/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2008, 2017. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation;

import com.ibm.team.workitem.common.model.IAttribute;
import com.ibm.team.workitem.common.model.Identifier;
import com.ibm.team.workitem.ide.ui.internal.aspecteditor.ModeledElement;

public class EditorPresentation extends ModeledElement {
	private String fId;
	
	public EditorPresentation(String editorId) {
		fId= editorId;
	}
	
	@Override
	public String getIdentifier() {
		return fId;
	}
	
	
	public static class Attribute {
		private String fDisplayName;
		private String fAttributeType;
		private Identifier<IAttribute> fIdentifier;
		private boolean fCustomAttribute;
		private boolean fConfiguredInSpec;
		
		public Attribute(Identifier<IAttribute> identifier,	String attributeType, String displayName, boolean customAttribute, boolean configuredInSpec) {
			fIdentifier = identifier;
			fAttributeType = attributeType;
			fDisplayName = displayName;
			fCustomAttribute= customAttribute;
			fConfiguredInSpec= configuredInSpec;
		}
		
		public String getDisplayName() {
			return fDisplayName;
		}
		public String getAttributeType() {
			return fAttributeType;
		}
		public Identifier<IAttribute> getIdentifier() {
			return fIdentifier;
		}
		
		public boolean isCustomAttribute() {
			return fCustomAttribute;
		}
		
		public boolean isConfiguredInSpec() {
			return fConfiguredInSpec;
		}
		
		public void setConfiguredInSpec(boolean configured) {
			fConfiguredInSpec= configured;
		}
	}
	
	@Override
	public String toString() {
		StringBuilder builder= new StringBuilder();
		builder.append("id='" + getIdentifier() +"'");
		builder.append("\n");
		return builder.toString();
	}
}
