/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import org.eclipse.jface.layout.GridLayoutFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import com.ibm.team.workitem.common.internal.presentations.EditorPresentationManager;
import com.ibm.team.workitem.ide.ui.internal.aspecteditor.AspectEditorUtil;

public class ApprovalsConfigurationlet extends Configurationlet {
	
	@Override
	public void createContent(Composite parent) {
		parent.setLayout(GridLayoutFactory.fillDefaults().numColumns(2).create());
		Label spacer= new Label(parent, SWT.SEPARATOR | SWT.HORIZONTAL);
		GridData data = new GridData(SWT.FILL, SWT.FILL, true, false, 2, 1);
		data.verticalIndent= 10;
		spacer.setLayoutData(data);
		
		String nullValue= Messages.ApprovalsConfigurationlet_UNCONFIGURED_PRESENTATION;
		Map<String, String> valueSet= new HashMap<String, String>();
		valueSet.put(nullValue, nullValue);
		Set<String> partIds = AspectEditorUtil.getPresentationPartIds(getConfigurationData(AspectEditorUtil.EDITOR_PRESENTATIONS_CONFIGURATION_POINT));
		for (String id: partIds) {
			valueSet.put(id, id);
		}
		createComboBox(parent, Messages.ApprovalsConfigurationlet_COMMENTS, Messages.ApprovalsConfigurationlet_COMMENTS_DESCRIPTION, EditorPresentationManager.TOBELINKEDPARTID, valueSet, nullValue);
	}
}
