/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import org.eclipse.jface.layout.GridLayoutFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Spinner;

import com.ibm.team.workitem.common.internal.presentations.EditorPresentationManager;

public class ESignatureConfigurationlet extends Configurationlet {
	
	@Override
	public void createContent(Composite parent) {
		parent.setLayout(GridLayoutFactory.fillDefaults().numColumns(2).create());
		Label spacer= new Label(parent, SWT.SEPARATOR | SWT.HORIZONTAL);
		GridData data = new GridData(SWT.FILL, SWT.FILL, true, false, 2, 1);
		data.verticalIndent= 10;
		spacer.setLayoutData(data);
		addManagedKey(EditorPresentationManager.TIMEOUT);
		Label l= new Label(parent, SWT.NONE);
		l.setText(Messages.ESignatureConfigurationlet_TIMEOUT);
		l.setToolTipText(Messages.ESignatureConfigurationlet_TIMEOUT_DESCRIPTION);
		l.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
		
		final Spinner spinner= new Spinner(parent, SWT.BORDER);
		spinner.setLayoutData(new GridData(SWT.LEFT, SWT.FILL, false, false));
		spinner.setDigits(0);
		spinner.setMinimum(5);
		spinner.setIncrement(5);
		spinner.setPageIncrement(60);
		spinner.setMaximum(900);
		String value = getProperty(EditorPresentationManager.TIMEOUT);
		int timeout= 120;
		try {
			timeout= Integer.valueOf(value);
		} catch (NumberFormatException e) {
			// ignore
		}
		spinner.setSelection(timeout);
		spinner.addSelectionListener(new SelectionAdapter() {
			@Override
			public void widgetSelected(SelectionEvent e) {
				int value= spinner.getSelection();
				setProperty(EditorPresentationManager.TIMEOUT, String.valueOf(value));
			}
		});
		
		createLabelVisiblePropertyControl(parent);
		createVisibilityControls(parent);
	}
}
