/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.swt.widgets.Composite;

import com.ibm.team.repository.common.IItemType;
import com.ibm.team.workitem.common.internal.presentations.EditorPresentationManager;
import com.ibm.team.workitem.ide.ui.internal.editor.itempicker.ItemPickerManager;
import com.ibm.team.workitem.ide.ui.internal.editor.presentations.ItemTypeUtil;

public class ItemConfigurationlet extends DefaultAttributeConfigurationlet {

	@Override
	protected void createPropertyControls(Composite parent) {
		createItemTypePropertyControl(parent);
		super.createPropertyControls(parent);
	}

	protected void createItemTypePropertyControl(Composite parent) {
		createComboBox(parent, Messages.ItemConfigurationlet_ITEM_TYPE,
				Messages.ItemConfigurationlet_ITEM_TYPE_DESCRIPTION, EditorPresentationManager.ITEM_TYPE, getValueSet(),
				getNullValue());
	}

	static Map<String, String> getValueSet() {
		String nullValue= getNullValue();
		Map<String, String> valueSet= new HashMap<String, String>();
		valueSet.put(nullValue, nullValue);
		for (String id : ItemPickerManager.getItemPickerIds()) {
			IItemType itemType= ItemPickerManager.getItemType(id);
			if (itemType != null) {
				String typeName= ItemTypeUtil.getTypeName(itemType);
				valueSet.put(typeName, ItemPickerManager.getDisplayName(id));
			}
		}
		return valueSet;
	}

	static String getNullValue() {
		return Messages.ItemConfigurationlet_ITEM_TYPE_ANY;
	}

}
