/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.ide.ui.internal.aspecteditor.editorpresentation.configurationlet;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.eclipse.jface.layout.GridLayoutFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import com.ibm.team.workitem.ide.ui.internal.aspecteditor.AspectEditorUtil;
import com.ibm.team.workitem.ide.ui.internal.aspecteditor.enumeration.UIEnumeration;
import com.ibm.team.workitem.ide.ui.internal.aspecteditor.enumeration.UIEnumerationManager;
import com.ibm.team.workitem.ide.ui.internal.editor.presentations.ListAttributePart;

public class ListCheckedListConfigurationlet extends Configurationlet {
	
	@Override
	public void createContent(Composite parent) {
		parent.setLayout(GridLayoutFactory.fillDefaults().numColumns(2).create());
		Label spacer= new Label(parent, SWT.SEPARATOR | SWT.HORIZONTAL);
		GridData data = new GridData(SWT.FILL, SWT.FILL, true, false, 2, 1);
		data.verticalIndent= 10;
		spacer.setLayoutData(data);
		String nullValue= Messages.ListCheckedListConfigurationlet_UNCONFIGURED_ENUMERATION;
		Map<String, String> valueSet= new HashMap<String, String>();
		valueSet.put(nullValue, nullValue);
		List<UIEnumeration> enumerations = UIEnumerationManager.readEnumerations(getProcessItem(), getConfigurationData(AspectEditorUtil.ENUMERATIONS_CONFIGURATION_POINT));
		for (UIEnumeration e: enumerations) {
			valueSet.put(e.getAttributeTypeId(), e.getAttributeTypeId());
		}
		createComboBox(parent, Messages.ListCheckedListConfigurationlet_ENUMERATION, Messages.ListCheckedListConfigurationlet_ENUMERATION_DESCRIPTION, ListAttributePart.ENUMERATION, valueSet, nullValue);
		
		createVisibilityControls(parent);
	}
}
