/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.java.ide.ui.internal.editor.comments.java;

import com.ibm.team.workitem.java.ide.ui.internal.editor.comments.BreakpointPropertiesHyperlinkHandler;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class JavaExceptionStackTraceScanner extends JavaStackTraceScanner {
	
	/**
	 * CPLed by IBM - from org.eclipse.jdt.debug.ui/plugin.xml
	 */
	private static final Pattern EXCEPTION_STACK_TRACE_PATTERN= Pattern.compile("^\\s*((" + JAVA_IDENTIFIER + "\\.)+" + "[\\w\\p{Sc}]*" + "Exception)([\\s|:]|\\z)"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
	
	protected Matcher createMatcher(String line) {
		return EXCEPTION_STACK_TRACE_PATTERN.matcher(line);
	}

	protected int getLinkGroup(Matcher matcher) {
		return 1;
	}

	protected int getTypeGroup(Matcher matcher) {
		return 1;
	}

	protected int getLineGroup(Matcher matcher) {
		return -1;
	}
	
	protected URI createURI(Matcher matcher) {
		String qualifiedTypeName= getTypeName(matcher);
		if (qualifiedTypeName != null)
			try {
				return BreakpointPropertiesHyperlinkHandler.createURI2(qualifiedTypeName);
			} catch (URISyntaxException x) {
				// ignore
			}
		return null;
	}
}
