/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.java.ide.ui.internal.editor.comments.java;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class JavaLockStackTraceScanner extends JavaStackTraceScanner {
	
	private static final Pattern LOCK_STACK_TRACE_PATTERN= Pattern.compile("^\\s*-\\s+(locked|waiting on) (<|&lt;)0x[0-9a-f]*(>|&gt;) \\(a " + JAVA_CLASS_NAME + "\\)"); //$NON-NLS-1$ //$NON-NLS-2$
	
	protected Matcher createMatcher(String line) {
		return LOCK_STACK_TRACE_PATTERN.matcher(line);
	}

	protected int getLinkGroup(Matcher matcher) {
		return 4;
	}

	protected int getTypeGroup(Matcher matcher) {
		return 4;
	}

	protected int getLineGroup(Matcher matcher) {
		return -1;
	}
}
