/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.workitem.java.ide.ui.internal.editor.comments.java;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class JavaNativeStackTraceScanner extends JavaStackTraceScanner {
	
	/**
	 * CPLed by IBM - from org.eclipse.jdt.debug.ui/plugin.xml
	 */
	private static final Pattern NATIVE_STACK_TRACE_PATTERN= Pattern.compile("^\\s*at\\s+" + JAVA_CLASS_NAME + "\\." + JAVA_IDENTIFIER + "\\(((Native Method)|(" + JAVA_IDENTIFIER + "\\.java\\(Compiled Code\\)))\\)"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
	
	protected Matcher createMatcher(String line) {
		return NATIVE_STACK_TRACE_PATTERN.matcher(line);
	}

	protected int getLinkGroup(Matcher matcher) {
		return 3;
	}

	protected int getTypeGroup(Matcher matcher) {
		return 1;
	}

	protected int getLineGroup(Matcher matcher) {
		return -1;
	}
}
